# class Tk::Iwidgets::Watch

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

get()
Alias for: get_string
get_clicks() click to toggle source

    # File lib/tkextlib/iwidgets/watch.rb, line 38
    def get_clicks
      number(tk_call(@path, 'get', '-clicks'))
    end

get_string() click to toggle source

    # File lib/tkextlib/iwidgets/watch.rb, line 33
    def get_string
      tk_call(@path, 'get', '-string')
    end

Also aliased as: get
show(time=None) click to toggle source

    # File lib/tkextlib/iwidgets/watch.rb, line 42
    def show(time=None)
      tk_call(@path, 'show', time)
      self
    end

show_now() click to toggle source

    # File lib/tkextlib/iwidgets/watch.rb, line 46
    def show_now
      tk_call(@path, 'show', 'now')
      self
    end

watch(*args) click to toggle source

    # File lib/tkextlib/iwidgets/watch.rb, line 51
    def watch(*args)
      unless args.empty?
        tk_call(@path, 'watch', *args)
      end
      component_path('canvas')
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/watch.rb, line 22
    def __boolval_optkeys
      super() << 'showampm'
    end

__strval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/watch.rb, line 27
    def __strval_optkeys
      super() << 'clockcolor' << 'hourcolor' << 'minutecolor' <<
        'pivotcolor' << 'secondcolor' << 'tickcolor'
    end